package com.example.db1.dao;

import com.example.db2.dao.LianZhongDao;
import com.example.dto.TscanAssortDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName Tscan_assort
 * @Description 文件表接口
 * @Author linjj
 * @Date 2025/6/5 10:25
 * @Version 1.0
 */
@Mapper
public interface TscanAssortDao {
    /**
     * @description: 批量增加
     * @params:  TscanAssortDto
     * @return: boolean
     * @author linjj
     * @date: 2025/6/5 10:28
     */
    boolean addTscanAssortDto(@Param("list") List<TscanAssortDto> list);
}
